<?xml version="1.0" encoding="UTF-8"?><rss version="2.0"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:wfw="http://wellformedweb.org/CommentAPI/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
	xmlns:atom="http://www.w3.org/2005/Atom"
	xmlns:sy="http://purl.org/rss/1.0/modules/syndication/"
	xmlns:slash="http://purl.org/rss/1.0/modules/slash/"
	>

<channel>
	<title>GUADEC 2014 &#187; Andreas Nilsson</title>
	<atom:link href="https://2014.guadec.org/author/andreasn/feed/" rel="self" type="application/rss+xml" />
	<link>https://2014.guadec.org</link>
	<description>The GNOME Conference</description>
	<lastBuildDate>Mon, 12 Jan 2015 14:08:27 +0000</lastBuildDate>
	<language>en-US</language>
	<sy:updatePeriod>hourly</sy:updatePeriod>
	<sy:updateFrequency>1</sy:updateFrequency>
	<generator>http://wordpress.org/?v=4.1</generator>
	<item>
		<title>Builder, a new IDE for GNOME</title>
		<link>https://2014.guadec.org/builder-a-new-ide-for-gnome/</link>
		<comments>https://2014.guadec.org/builder-a-new-ide-for-gnome/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 16:12:14 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1946</guid>
		<description><![CDATA[Builder started out as a prototype for a new IDE. It is under development an IDE solely targeting GNOME applications. This talk will discuss some ideas and plans for the project and fundamental design features such as a multi-process application, simulators, GNOME SDK&#8217;s, auto-completion, code-highlighting, and more. &#160; Christian Hergert Christian is a database engineer [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">Builder started out as a prototype for a new IDE. It is under development an IDE solely targeting GNOME applications. This talk will discuss some ideas and plans for the project and fundamental design features such as a multi-process application, simulators, GNOME SDK&#8217;s, auto-completion, code-highlighting, and more.</span></p>
<hr />
<p>&nbsp;</p>
<p><span style="color: #444444;"><strong>Christian Hergert</strong><br />
</span></p>
<p><span style="color: #444444;">Christian is a database engineer at MongoDB living in San Francisco, California. He can often be found prototyping developer tools, building cars, and driving the California coast.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/builder-a-new-ide-for-gnome/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Next generation input methods</title>
		<link>https://2014.guadec.org/next-generation-input-methods/</link>
		<comments>https://2014.guadec.org/next-generation-input-methods/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 16:10:09 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1944</guid>
		<description><![CDATA[Input methods are an important part of a desktop because writing text is one of the most important daily activities of any user. The talk will focus on evolution/history of input frameworks and the future towards Wayland integration with GNOME. Firstly, we will introduce a new library which provides a minimal core functions of input [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">Input methods are an important part of a desktop because writing text is one of the most important daily activities of any user.</span></p>
<p>The talk will focus on evolution/history of input frameworks and the future towards Wayland integration with GNOME.</p>
<p>Firstly, we will introduce a new library which provides a minimal core functions of input method frameworks. In general, input method frameworks with long history have many portability hacks to provide consistent user experience under different environments (X11, GTK+, Qt, etc.). The minial core library could make it easier to port input methods to new platform, like Wayland.</p>
<p>Secondly, we will talk about integration of text prediction features into input methods and desktop as a whole. Most of the input methods provides API&#8217;s for text prediction and spell checking, so this talk would explain how we can improve text prediction and spell checking so that users will get native text prediction experience.</p>
<hr />
<p><span style="color: #444444;"><strong>Daiki Ueno</strong></span></p>
<p>Caribou, Gettext, IBus, libkkc, Debian maintainer<br />
GNOME Foundation member</p>
<p><span style="color: #444444;"><strong>Anish Patil</strong><br />
IBus, ibus-typing booster maintainer<br />
Fedora packager, GNOME Foundation member</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/next-generation-input-methods/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Flow based programming in the Gnome environment</title>
		<link>https://2014.guadec.org/flow-based-programming-in-the-gnome-environment/</link>
		<comments>https://2014.guadec.org/flow-based-programming-in-the-gnome-environment/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 16:07:05 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1934</guid>
		<description><![CDATA[Flow based programming is a programming paradigm that defines applications as networks of &#8220;black box&#8221; processes, which exchange data across predefined connections by message passing. NoFlo is a _javascript_ implementation of Flow based programming (FBP) that provides both libraries to implements the &#8220;black box&#8221; responsible for the computation part and a UI to describe the [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">Flow based programming is a programming paradigm that defines<br />
applications as networks of &#8220;black box&#8221; processes, which exchange data<br />
across predefined connections by message passing.</p>
<p><a href="http://noflojs.org/">NoFlo</a> is a _javascript_ implementation of Flow<br />
based programming (FBP) that provides both libraries to implements the<br />
&#8220;black box&#8221; responsible for the computation part and a UI to describe<br />
the connections between them.<br />
</span></p>
<p><span style="color: #444444;">This talk will focus on the integration between Gnome and NoFlo (<a href="https://github.com/noflo/noflo-gnome" rel="nofollow">https://github.com/noflo/noflo-gnome</a>) to show new ways of creating applications for Gnome in a flow based way.</span></p>
<hr />
<p><strong><span style="color: #444444;">Lionel Landwerlin</span></strong></p>
<p><span style="color: #444444;">Lionel Landwerlin is a software engineer and has been involved with a number of projects using software components from the Gnome project.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/flow-based-programming-in-the-gnome-environment/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Cheese: TNG (less libcheese, more D-Bus)</title>
		<link>https://2014.guadec.org/cheese-tng-less-libcheese-more-d-bus/</link>
		<comments>https://2014.guadec.org/cheese-tng-less-libcheese-more-d-bus/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 16:01:37 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1929</guid>
		<description><![CDATA[Cheese has seen many upheavals over the years, such as being split into a library and UI, and the UI being ported to Vala. The library part was always problematic, especially once it started to be used by other applications. Now is a good time to simplify the API and remove it from Cheese once [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">Cheese has seen many upheavals over the years, such as being split into a library and UI, and the UI being ported to Vala. The library part was always problematic, especially once it started to be used by other applications. Now is a good time to simplify the API and remove it from Cheese once and for all.<br />
This talk will cover the history of an unloved API, the shiny service which will replace it, and finally a future of portals.<br />
</span></p>
<hr />
<p>&nbsp;</p>
<p><strong>David King</strong></p>
<p><span style="color: #444444;">David has been involved in GNOME for several years, and maintains EasyTAG, Cheese and Logs. He is an honorary member of the documentation team, and enjoys build systems and static analysis.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/cheese-tng-less-libcheese-more-d-bus/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>GNOME Outreach &#8211; A report from the War nobody is participating in</title>
		<link>https://2014.guadec.org/gnome-outreach-a-report-from-the-war-nobody-is-participating-in/</link>
		<comments>https://2014.guadec.org/gnome-outreach-a-report-from-the-war-nobody-is-participating-in/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:58:37 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1921</guid>
		<description><![CDATA[GNOME has always been a controversial project due to the decisions they make, the positions they hold, and thus our relationship with FOSS community at times in conflict. Outreach both internal and external is about defending our story and not allowing others to write it for us. Let&#8217;s talk about how we can better present [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">GNOME has always been a controversial project due to the decisions they make, the positions they hold, and thus our relationship with FOSS community at times in conflict.</span></p>
<p>Outreach both internal and external is about defending our story and not allowing others to write it for us. Let&#8217;s talk about how we can better present ourselves to the public in the age of social media and reduce the conflict that we have while continuing to pursue our goal of being a competitive desktop based on Free Software and our mission to spread Free Software.</p>
<hr />
<p><strong><span style="color: #444444;">Sri Ramkrishna</span></strong></p>
<p><span style="color: #444444;">Sri Ramkrishna joined the GNOME project in 1997, and has held various positions from irc water cooler guy, GNOME Journal, and other things. From 2011, Sri has been primarily been interested in engagement with the FOSS community and also runs the GNOME QA team. He&#8217;s currently a GNOME Foundation Board member.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/gnome-outreach-a-report-from-the-war-nobody-is-participating-in/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Continuous Integration Performance Testing on Actual Hardware</title>
		<link>https://2014.guadec.org/continuous-integration-performance-testing-on-actual-hardware/</link>
		<comments>https://2014.guadec.org/continuous-integration-performance-testing-on-actual-hardware/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:56:56 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1913</guid>
		<description><![CDATA[We seldom know exactly why one release of GNOME is faster or slower than the last. We have various tests we can run to measure performance, but comparing results for one release with results from a previous release provides less clarity than one might hope. Even if hardware is exactly the same, there are many [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">We seldom know exactly why one release of GNOME is faster or slower than the last. We have various tests we can run to measure performance, but comparing results for one release with results from a previous release provides less clarity than one might hope. Even if hardware is exactly the same, there are many elements in the software stack &#8211; from the kernel, to the graphics drivers, to the toolkits, to the application itself, that can produce performance changes. From one release of GNOME to the next, each of these layers sees hundreds or thousands of changes.</span></p>
<p>It is much more useful if we can get performance numbers continuously as changes go into the codebase. We will then have a better chance of identifying a change that slows down GNOME or verifying whether if a change that was supposed to improve performance actually did. We already have a system that does continuous builds of GNOME and runs basic tests on them: GNOME Continuous. The tests that GNOME Continuous runs are, however, run on virtual machines, which poses multiple challenges for performance testing &#8211; in particular, lack of accelerated graphics, and interference from other use of the same system.</p>
<p>This talk will describe the new GNOME Hardware Testing initiative, which has a goal to take the builds of GNOME and base system software that GNOME Continuous creates, measure the performance on a range of performance tests, record the results, and make charts and graphs of that data available to developers. The talk will discuss technology used: how ostree is used to distribute software to the testing systems, and how upgrading, rebooting, and testing is automated to eliminate any need for manual intervention, while still allowing stock commodity hardware to be tested. It will also cover the selection of appropriate tests to reflect the performance of GNOME in a comprehensible way.</p>
<hr />
<p><strong><span style="color: #444444;">Owen Taylor</span></strong></p>
<p><span style="color: #444444;">Owen Taylor has been active in the development of GNOME technologies since before GNOME existed. He maintained GTK+ and related libraries, created Pango, which enables GNOME to handle the languages of virtually all of the world&#8217;s users, and more recently led the development of GNOME Shell prior to the release of GNOME 3. His current interests relate to display technologies and the full-stack performance of GNOME. Owen is Architect for the Emerging Platform team at Red Hat, which includes the desktop and other related areas.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/continuous-integration-performance-testing-on-actual-hardware/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>GNOME UX: The Social Dimension</title>
		<link>https://2014.guadec.org/gnome-ux-the-social-dimension/</link>
		<comments>https://2014.guadec.org/gnome-ux-the-social-dimension/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:50:47 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1909</guid>
		<description><![CDATA[When we think about the user experience that GNOME provides, we usually focus on implementation and design. It is these factors that are thought to affect the quality of the experience that we provide. However, social factors also play a major role in determining the quality of our software: modules need a sufficient number of [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">When we think about the user experience that GNOME provides, we usually focus on implementation and design. It is these factors that are thought to affect the quality of the experience that we provide. However, social factors also play a major role in determining the quality of our software: modules need a sufficient number of contributors, and they need to be organised so that modules can move forward and keep on top of bugs.</span></p>
<p>In this talk, I&#8217;m going to discuss how the social dimension of the GNOME project affects the quality of our software. I will outline some issues with the current situation, and will propose some ideas and initiatives that can help us address them. In doing so, I hope to demonstrate that we need to work on the social as well as the technical aspect of GNOME if we want to improve the quality of our user experience.</p>
<hr />
<p><strong><span style="color: #444444;">Allan Day</span></strong></p>
<p><span style="color: #444444;"> I have been contributing to GNOME for 4 or 5 years. I spend most of my time on design, and am a member of the design team, but I also contribute to the Engagement Team. I&#8217;ve been working as a part of the Red Hat Desktop Team for almost 3 years.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/gnome-ux-the-social-dimension/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Hardware integration, the GNOME way</title>
		<link>https://2014.guadec.org/hardware-integration-the-gnome-way/</link>
		<comments>https://2014.guadec.org/hardware-integration-the-gnome-way/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:49:26 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1904</guid>
		<description><![CDATA[This presentation will look at how hardware is integrated in GNOME in general, and in Linux in particular, with an eye on the infrastructure changes that occurred to implement the level of integration expected in a modern desktop environment. Bastien Nocera Bastien chooses his hardware like a kid writing his Christmas letter to Santa. But [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">This presentation will look at how hardware is integrated in GNOME in general, and in Linux in particular, with an eye on the infrastructure changes that occurred to implement the level of integration expected in a modern desktop environment.</span></p>
<hr />
<p><strong><span class="speaker">Bastien Nocera</span></strong></p>
<p><span style="color: #444444;">Bastien chooses his hardware like a kid writing his Christmas letter to Santa. But he also likes that hardware to work to its full potential. Thankfully, Red Hat, his employer, supports that goal, even providing hardware when necessary.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/hardware-integration-the-gnome-way/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Fleet Commander: Making GNOME 3 shine on large deployments</title>
		<link>https://2014.guadec.org/fleet-commander-making-gnome-3-shine-on-large-deployments/</link>
		<comments>https://2014.guadec.org/fleet-commander-making-gnome-3-shine-on-large-deployments/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:45:54 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1894</guid>
		<description><![CDATA[Fleet Commander is a new project lead by Matthew Barnes and co-developed by Alberto Ruiz that attempts to turn GNOME 3 in the best desktop for sysadmins and large deployments. It&#8217;s core functionality provides the tools neccessary to create configuration profiles through a web interface and deploy those profiles upon users, groups or hosts. Moving [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">Fleet Commander is a new project lead by Matthew Barnes and co-developed by Alberto Ruiz that attempts to turn GNOME 3 in the best desktop for sysadmins and large deployments.</span></p>
<p>It&#8217;s core functionality provides the tools neccessary to create configuration profiles through a web interface and deploy those profiles upon users, groups or hosts. Moving forward it intends to provide extended funcionality such as lockdown settings to prevent users from accessing certain apps, adding bookmarks to the web browser or deploy online accounts automagically.</p>
<p>We will present Fleet Commander&#8217;s design and roadmap.</p>
<hr />
<p><strong><span style="color: #444444;">Alberto Ruiz</span></strong></p>
<p><span style="color: #444444;">Alberto Ruiz works at Red Hat as the engineering manager of the Evolution, LibreOffice, Firefox and now Fleet Commander teams.</span></p>
<p>Previous to Red Hat he worked at several GNOME related companies as an engineer such as Canonical, Codehtink and Sun Microsystems.</p>
<p>He was born and raised in Gran Canaria, Spain.</p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/fleet-commander-making-gnome-3-shine-on-large-deployments/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
		<item>
		<title>Documents and Photos: a content application update</title>
		<link>https://2014.guadec.org/documents-and-photos-a-content-application-update/</link>
		<comments>https://2014.guadec.org/documents-and-photos-a-content-application-update/#comments</comments>
		<pubDate>Sun, 20 Jul 2014 15:44:08 +0000</pubDate>
		<dc:creator><![CDATA[Andreas Nilsson]]></dc:creator>
				<category><![CDATA[Uncategorized]]></category>

		<guid isPermaLink="false">https://www.guadec.org/?p=1889</guid>
		<description><![CDATA[In the new GNOME 3.x series we have been working on a new set of core applications for finding and selecting the user&#8217;s content. Each application is generically named, tailored to the kind of content that it is meant to handle, and integrates tightly with the cloud and network services. This talk will be about [&#8230;]]]></description>
				<content:encoded><![CDATA[<p><span style="color: #444444;">In the new GNOME 3.x series we have been working on a new set of core applications for finding and selecting the user&#8217;s content. Each application is generically named, tailored to the kind of content that it is meant to handle, and integrates tightly with the cloud and network services. This talk will be about Documents and Photos. We will present the current status of these applications, the high-level design and thoughts behind having them, and shiny plans for the future.</span></p>
<hr />
<p><strong> <span class="speaker">Debarshi Ray</span></strong></p>
<p><span style="color: #444444;">I got my GNOME git account roughly 4 years ago. Currently I maintain the online accounts integration in GNOME, and a couple of new core applications (ie. gnome-documents and gnome-photos). I have been working as a part of the Red Hat Desktop Team since March 2012.</span></p>
]]></content:encoded>
			<wfw:commentRss>https://2014.guadec.org/documents-and-photos-a-content-application-update/feed/</wfw:commentRss>
		<slash:comments>0</slash:comments>
		</item>
	</channel>
</rss>
